Package io.dapr.v1

# Class DaprAppCallbackProtos

java.lang.Object
io.dapr.v1.DaprAppCallbackProtos

public final class DaprAppCallbackProtos extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `DaprAppCallbackProtos.BindingEventRequest`
  BindingEventRequest represents input bindings event.
  `static interface`
  `DaprAppCallbackProtos.BindingEventRequestOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.BindingEventResponse`
  BindingEventResponse includes operations to save state or send data to output bindings optionally.
  `static interface`
  `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.BulkSubscribeConfig`
  BulkSubscribeConfig is the message to pass settings for bulk subscribe
  `static interface`
  `DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.HealthCheckResponse`
  HealthCheckResponse is the message with the response to the health check.
  `static interface`
  `DaprAppCallbackProtos.HealthCheckResponseOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.JobEventRequest`
  Protobuf type `dapr.proto.runtime.v1.JobEventRequest`
  `static interface`
  `DaprAppCallbackProtos.JobEventRequestOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.JobEventResponse`
  JobEventResponse is the response from the app when a job is triggered.
  `static interface`
  `DaprAppCallbackProtos.JobEventResponseOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.ListInputBindingsResponse`
  ListInputBindingsResponse is the message including the list of input bindings.
  `static interface`
  `DaprAppCallbackProtos.ListInputBindingsResponseOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponse`
  ListTopicSubscriptionsResponse is the message including the list of the subscribing topics.
  `static interface`
  `DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.TopicEventBulkRequest`
  TopicEventBulkRequest represents request for bulk message
  `static final class`
  `DaprAppCallbackProtos.TopicEventBulkRequestEntry`
  TopicEventBulkRequestEntry represents a single message inside a bulk request
  `static interface`
  `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
  `static interface`
  `DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.TopicEventBulkResponse`
  AppBulkResponse is response from app on published message
  `static final class`
  `DaprAppCallbackProtos.TopicEventBulkResponseEntry`
  TopicEventBulkResponseEntry Represents single response, as part of TopicEventBulkResponse, to be sent by subscibed App for the corresponding single message during bulk subscribe
  `static interface`
  `DaprAppCallbackProtos.TopicEventBulkResponseEntryOrBuilder`
  `static interface`
  `DaprAppCallbackProtos.TopicEventBulkResponseOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.TopicEventCERequest`
  TopicEventCERequest message is compatible with CloudEvent spec v1.0
  `static interface`
  `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.TopicEventRequest`
  TopicEventRequest message is compatible with CloudEvent spec v1.0 https://github.com/cloudevents/spec/blob/v1.0/spec.md
  `static interface`
  `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.TopicEventResponse`
  TopicEventResponse is response from app on published message
  `static interface`
  `DaprAppCallbackProtos.TopicEventResponseOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.TopicRoutes`
  Protobuf type `dapr.proto.runtime.v1.TopicRoutes`
  `static interface`
  `DaprAppCallbackProtos.TopicRoutesOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.TopicRule`
  Protobuf type `dapr.proto.runtime.v1.TopicRule`
  `static interface`
  `DaprAppCallbackProtos.TopicRuleOrBuilder`
  `static final class`
  `DaprAppCallbackProtos.TopicSubscription`
  TopicSubscription represents topic and metadata.
  `static interface`
  `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static com.google.protobuf.Descriptors.FileDescriptor`
  `getDescriptor()`
  `static void`
  `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`
  `static void`
  `registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### registerAllExtensions

    public static void registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)

  - ### registerAllExtensions

    public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

  - ### getDescriptor

    public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()